<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.FC ID="0">
    <AttributeList>
      <AutoNumber>false</AutoNumber>
      <HeaderAuthor>IBAE</HeaderAuthor>
      <HeaderFamily>FIFO</HeaderFamily>
      <HeaderName>FifoIn</HeaderName>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input">
    <Member Name="QuellDB" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Quell-DB</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="QuellDW" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Quell-1.DW</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="ZielDB" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Ziel-DB</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="ZielDW" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Ziel-1.DW</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Anzahl_DW" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Anzahl der zu kopierenden DWs</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
  <Section Name="Output">
    <Member Name="RE_VAL" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Rückmeldung</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
  <Section Name="InOut" />
  <Section Name="Temp">
    <Member Name="Quelle" Datatype="Any">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zeiger, wo Rein-Daten sind</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Ziel" Datatype="Any">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zeiger, FIFO-Stelle</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
  <Section Name="Constant" />
  <Section Name="Return">
    <Member Name="Ret_Val" Datatype="Void" />
  </Section>
</Sections></Interface>
      <MemoryLayout>Standard</MemoryLayout>
      <Name>DBMOV</Name>
      <Namespace />
      <Number>99</Number>
      <ProgrammingLanguage>STL</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text>COPYRIGHT by Ingenieurbüro A.Emmert
Ortsstr.33, D-869925 Fuchstal (Germany)
Tel.: 0049(0)8243-1254
Version: H&amp;M / 06.12.2025
</Text>
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <SW.Blocks.CompileUnit ID="5" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="23">
    <LineComment>
      <Text>Kennung + Datenbytes</Text>
    </LineComment>
    <StlToken Text="COMMENT" />
  </StlStatement>
  <StlStatement UId="25">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Word</ConstantType>
        <ConstantValue>16#1004</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Kennung 10 + Word=04</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="29">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="0" />
    </Access>
  </StlStatement>
  <StlStatement UId="31">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="80" />
      <LineComment>
        <Text>Any-Kennung, Datentyp</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="34">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Anzahl_DW" />
      </Symbol>
      <LineComment>
        <Text>Datenwords speichern</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="37">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="16" />
    </Access>
  </StlStatement>
  <StlStatement UId="39">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="96" />
      <LineComment>
        <Text>Wiederholungen</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="42">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="43">
    <LineComment>
      <Text>Quelle-Pointer erzeugen:</Text>
    </LineComment>
    <StlToken Text="COMMENT" />
  </StlStatement>
  <StlStatement UId="45">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="QuellDB" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="47">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="32" />
      <LineComment>
        <Text>DB_Nummer</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="50">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="QuellDW" />
      </Symbol>
      <LineComment>
        <Text>Adresse</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="53">
    <StlToken Text="SLD" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>3</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="55">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>DWord</ConstantType>
        <ConstantValue>16#8400_0000</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Kennung: Daten</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="58">
    <StlToken Text="OD" />
  </StlStatement>
  <StlStatement UId="59">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="DWord" BitOffset="48" />
      <LineComment>
        <Text>Kennung, Adresse</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="62">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="63">
    <LineComment>
      <Text>Ziel-Pointer erzeugen:</Text>
    </LineComment>
    <StlToken Text="COMMENT" />
  </StlStatement>
  <StlStatement UId="65">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="ZielDB" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="67">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="Word" BitOffset="112" />
      <LineComment>
        <Text>DB_Nummer</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="70">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="ZielDW" />
      </Symbol>
      <LineComment>
        <Text>Adresse</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="73">
    <StlToken Text="SLD" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>3</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="75">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>DWord</ConstantType>
        <ConstantValue>16#8400_0000</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Kennung: Daten</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="78">
    <StlToken Text="OD" />
  </StlStatement>
  <StlStatement UId="79">
    <StlToken Text="T" />
    <Access Scope="Address">
      <Address Area="Local" Type="DWord" BitOffset="128" />
      <LineComment>
        <Text>Kennung, Adresse</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="82">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="83">
    <StlToken Text="CALL" />
    <Access Scope="Call">
      <Instruction Name="BLKMOV" Version="1.1">
        <Token Text="," />
        <LineComment>
          <Text>Datenliste-Daten speichern</Text>
        </LineComment>
        <TemplateValue Name="blk_type" Type="Type">Variant</TemplateValue>
        <Parameter Name="SRCBLK">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="Quelle" />
            </Symbol>
          </Access>
        </Parameter>
        <Parameter Name="RET_VAL">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="RE_VAL" />
            </Symbol>
          </Access>
        </Parameter>
        <Parameter Name="DSTBLK">
          <Access Scope="LocalVariable">
            <Symbol>
              <Component Name="Ziel" />
            </Symbol>
          </Access>
        </Parameter>
      </Instruction>
    </Access>
  </StlStatement>
  <StlStatement UId="22">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="6" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="7" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="8" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="9" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="A" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="B" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="C" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="D" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="E" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="21">
    <StlToken Text="BE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="F" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="10" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="11" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="12" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="13" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="14" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="15" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Ende</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="16" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <MultilingualText ID="17" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="18" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="19" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text>DB-Bereiche kopieren</Text>
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="1A" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.FC>
</Document>